<?php
// $Id: reptag_i18n.inc,v 1.1.2.1 2007/05/03 13:50:43 profix898 Exp $

define('REPTAG_I18N_STRICT',    0);
define('REPTAG_I18N_FALLBACK',  1);

/**
 * function _reptag_i18n_lang().
 * (get active language)
 */
function _reptag_i18n_lang() {
  return i18n_get_lang();
}

/**
 * function _reptag_i18n_cid().
 * (calculate language-dependent cache identifier)
 */
function _reptag_i18n_cid($cid) {
  return $cid.':'.i18n_get_lang();
}

/**
 * function _reptag_i18n_table_query().
 * (add language parameter to query)
 */
function _reptag_i18n_table_query(&$query, $lang = NULL) {
  $query .= ' AND language = \''.($lang ? $lang : i18n_get_lang()).'\'';
}

/**
 * function _reptag_i18n_table_merge_default().
 * (load tags from default language and merge in)
 */
function _reptag_i18n_table_merge_default(&$tags, $iid) {
  if (variable_get('reptag_i18n_mode', REPTAG_I18N_STRICT) == REPTAG_I18N_FALLBACK) {
    $default_language = i18n_default_language();
    if (i18n_get_lang() != $default_language) {
      $default_tags = _reptag_table_load($iid, REPTAG_LOADTAG_DEFAULT, $default_language);
      $tags = array_merge($default_tags, $tags);
    }
  }
}

/**
 * function _reptag_i18n_tags_help().
 */
function _reptag_i18n_tags_help() {
  $languages = i18n_language_list();
  
  $output  = '<p>';
  $output .= t('Your current language is: <strong>@lang</strong><br />
    Please use the usual options (e.g. language selector block or url prefix) to switch to a different language.',
    array('@lang' => $languages[i18n_get_lang()])
  );
  if (variable_get('reptag_i18n_mode', REPTAG_I18N_STRICT) == REPTAG_I18N_FALLBACK) {
    $output .= t(' The default language (@default) will be used for all tags not available in the selected language during the replacement process.',
      array('@default' => $languages[i18n_default_language()])
    );
  }
  $output .= '</p>';
  
  return $output;
}

?>
