<?php
// $Id: bbcode.tags.inc,v 1.1.2.1 2007/04/11 20:48:39 profix898 Exp $

function _reptag_bbcode_init($context) {
  return array(

    "#\[h([1-4])\](.*?)\[/h[1-4]]#si"          => "<h\\1>\\2</h\\1>",
    
    "#\[b](.*?)\[/b]#si"                       => "<strong>\\1</strong>",
    "#\[i](.*?)\[/i]#si"                       => "<i>\\1</i>",
    "#\[u](.*?)\[/u]#si"                       => "<span style='text-decoration:underline'>\\1</span>",
    
    "#\[color=(.*?)](.*?)\[/color]#si"         => "<span style='color:\\1'>\\2</span>",
    "#\[font=(.*?)](.*?)\[/font]#si"           => "<span style='font-family:\\1'>\\2</span>",
    "#\[size=([0-9]*)](.*?)\[/size]#si"        => "<span style='font-size:\\1px'>\\2</span>",
    
    "#\[left](.*?)\[/left]#si"                 => "<div align='left'>\\1</div>",
    "#\[right](.*?)\[/right]#si"               => "<div align='right'>\\1</div>",
    "#\[center](.*?)\[/center]#si"             => "<div align='center'>\\1</div>",

    "#\[ident](.*?)\[/ident]#si"               => "<ul>\\1</ul>",
    "#\[li](.*?)\[/li]#si"                     => "<ul><li>\\1</li></ul>",

    "#\[mail=(.*?)](.*?)\[/mail]#e"           => '"<a href=\"mailto:\\1\">\\2</a>"',
    
    "#\[url]www\.(.*?)\[/url]#si"              => "<a href='http://www.\\1'>\\1</a>",
    "#\[url](.*?)\[/url]#si"                   => "<a href='\\1'>\\1</a>",
    "#\[url=www\.(.*?)\](.*?)\[/url]#si"       => "<a href='http://www.\\1'>\\2</a>",
    "#\[url=(.*?)\](.*?)\[/url]#si"            => "<a href='\\1'>\\2</a>",

    "#\[img](.*?)\[/img]#si"                   => "<img src='\\1' alt='' />",
    "#\[img=(.*?)x(.*?)](.*?)\[/img]#si"       => "<img width='\\1' height='\\2' alt='' src='\\3' />"
    
  );
}

function _reptag_bbcode_info() {
  return array(t('Simple BBCode Converter'), TRUE);
}

function _reptag_bbcode_help() {
  return array(

    "[h(1-4)]Headline 2[/h(1-4)]"                             => "<h2>Headline 2</h2>",
    
    "[b]strong[/b]"                                           => "<strong>strong</strong>",
    "[i]italic[/i]"                                           => "<i>italic</i>",
    "[u]underline[/u]"                                        => "<span style='text-decoration:underline'>underline</span>",
    
    "[color=#F00]Red[/color]"                                 => "<span style='color:#F00'>Red</span>",
    "[font=courier]Courier[/font]"                            => "<span style='font-family:courier'>Courier</span>",
    "[size=18]font-size 18[/size]"                            => "<span style='font-size:18px'>font-size 18</span>",
    
    "[left]left[/left]"                                       => "<div align='left'>left</div>",
    "[right]right[/right]"                                    => "<div align='right'>right</div>",
    "[center]center[/center]"                                 => "<div align='center'>center</div>",

    "[ident]ident[/ident]"                                    => "<ul>ident</ul>",
    "[li]list item[/li]"                                      => "<ul><li>list item</li></ul>",

    "[mail=mail@drupal.org]mailto[/mail]"                     => "<a href=\"mailto:mail@drupal.org\">mailto</a>",
    
    "[url]www.google.com[/url]"                               => "<a href='http://www.google.com'>www.google.com</a>",
    "[url]http://www.google.com[/url]"                        => "<a href='http://www.google.com'>http://www.google.com</a>",
    "[url=www.google.com]Google[/url]"                        => "<a href='http://www.google.com'>Google</a>",
    "[url=http://www.google.com]Google[/url]"                 => "<a href='http://www.google.com'>Google</a>",

    "[img]path/to/sample.png[/img]"                           => "<img src='".drupal_get_path('module', 'reptag')."/tags/sample.png' alt='' />",
    "[img=50x50]path/to/sample.png[/img]"                     => "<img src='".drupal_get_path('module', 'reptag')."/tags/sample.png' alt='' height='50' width='50' />"

  );
}

?>
