<?php
// $Id: links.tags.inc,v 1.1.2.1 2007/04/11 20:48:39 profix898 Exp $

function _reptag_links_init($context) {

  global $base_url; 
  
  $prefix_url = $base_url.'/';
  if (!variable_get('clean_url', 0)) {
    $prefix_url = $base_url.'/?q='; 
  }

  return array(
    
    "#{BACK}(.*?){/BACK}#s"                         => "<a href='javascript:history.back()'>\\1</a>",
    
    "#{MAIL (.*?)}(.*?){/MAIL}#s"                   => "<a href='mailto:\\1'>\\2</a>",
    "#{MAILEX (.*?) (.*?)}(.*?){/MAILEX}#s"         => "<a href='mailto:\\1?subject=\\2'>\\3</a>",
    
    "#{URL}www\.(.*?){/URL}#s"                      => "<a href='http://www.\\1'>\\1</a>",
    "#{URL}(.*?){/URL}#s"                           => "<a href='\\1'>\\1</a>",
    "#{URL=www\.(.*?)}(.*?){/URL}#s"                => "<a href='http://www.\\1'>\\2</a>",
    "#{URL=(.*?)}(.*?){/URL}#s"                     => "<a href='\\1'>\\2</a>",
    
    "#{INT (.*?)}(.*?){/INT}#s"                     => "<a href='".$prefix_url."\\1'>\\2</a>",
    "#{EXT (.*?)}(.*?){/EXT}#s"                     => "<a href='\\1' target='_blank'>\\2</a>",
    
    "#{NODE (.*?)}(.*?){/NODE}#s"                   => "<a href='".$prefix_url."node/\\1'>\\2</a>",
    "#{FORUM (.*?)}(.*?){/FORUM}#s"                 => "<a href='".$prefix_url."forum/\\1'>\\2</a>",
    "#{TAXOTERM (.*?)}(.*?){/TAXOTERM}#s"           => "<a href='".$prefix_url."taxonomy/term/\\1'>\\2</a>",
    "#{TAXOMENU (.*?)}(.*?){/TAXOMENU}#s"           => "<a href='".$prefix_url."taxonomy_menu/\\1'>\\2</a>",
    "#{TAXOMENU:V([0-9]*)}(.*?){/TAXOMENU}#s"       => "<a href='".$prefix_url."taxonomy_menu/\\1'>\\2</a>",
    "#{TAXOMENU:T([0-9]*)}(.*?){/TAXOMENU}#se"      => "'<a href=\'".$prefix_url."taxonomy_menu/'._reptag_links_taxomenu('\\1').'\'>\\2</a>'"
    
  );
}

function _reptag_links_info() {
  return array(t('Links & Navigation (INT, EXT, MAIL, ...)'), TRUE);
}

function _reptag_links_help() {
  return array( 
    
    "{BACK}Text{/BACK}"                                   => "<a href=\"javascript:history.back()\">Text</a>",
    
    "{MAIL mail@drupal}Send eMail{/MAIL}"                 => "<a href=\"mailto:mail@drupal\">Send eMail</a>",
    "{MAILEX mail@drupal This is a subject}Send eMail with subject{/MAILEX}"
            => "<a href=\"mailto:mail@drupal?subject=This is a subject\">Send eMail with subject</a>",
          
    "{URL}www.google.com{/URL}"                           => "<a href='http://www.google.com'>www.google.com</a>",
    "{URL}http://www.google.com{/URL}"                    => "<a href='http://www.google.com'>http://www.google.com</a>",
    "{URL=www.google.com}Google{/URL}"                    => "<a href='http://www.google.com'>Google</a>",
    "{URL=http://www.google.com}Google{/URL}"             => "<a href='http://www.google.com'>Google</a>",
  
    "{INT admin/settings/reptag}Settings{/INT}"           => "<a href=\"/?q=admin/settings/reptag\">Settings</a>",
    "{EXT http://www.google.com}Google{/EXT}"             => "<a href=\"http://www.google.com\" target=\"_blank\">Google</a>",
    
    "{NODE 20}link to node 20{/NODE}"                     => "<a href=\"/?q=node/20\">link to node 20</a>",
    "{FORUM 8}link to forum 8{/FORUM}"                    => "<a href=\"/?q=forum/8\">link to forum 8</a>",
    "{TAXOTERM 54}link to term{/TAXOTERM}"                => "<a href=\"/?q=taxonomy/term/54\">link to term 54</a>",
    "{TAXOMENU 2/6}link to taxonomy_menu{/TAXOMENU}"      => "<a href=\"/?q=taxonomy_menu/2/6\">link to vocabulary 26</a>",
    "{TAXOMENU:V2}link to taxonomy_menu{/TAXOMENU}"       => "<a href=\"/?q=taxonomy_menu/2\">link to vocabulary 2</a>",
    "{TAXOMENU:T12}link to taxonomy_menu{/TAXOMENU}"      => "<a href=\"/?q=taxonomy_menu/x/y/12\">link to term 12</a>"
    
  );
}

function _reptag_links_taxomenu($tid) {
  $parents = taxonomy_get_parents_all($tid);
  foreach ($parents as $term => $tobj) {
    $path = $tobj->tid.'/'.$path;
  }
  $path = $tobj->vid.'/'.$path;
  
  return $path;
}

?>
